## r-cran-gganimate 1.0.6

=== debian/changelog ===
r-cran-gganimate (1.0.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Wed, 15 Jul 2020 09:24:12 +0200

r-cran-gganimate (1.0.5-2) unstable; urgency=medium

  * Test-Depends: r-cran-transformr, r-cran-av, r-cran-magick
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Tue, 07 Apr 2020 10:07:27 +0200

r-cran-gganimate (1.0.5-1) unstable; urgency=medium

  * Initial release (closes: #956052)

 -- Andreas Tille <tille@debian.org>  Mon, 06 Apr 2020 20:36:05 +0200

## r-cran-gganimate 1.0.7

=== DESCRIPTION ===
Package: gganimate
Type: Package
Title: A Grammar of Animated Graphics
Version: 1.0.7
Authors@R: 
    c(person("Thomas Lin", "Pedersen", email = "thomasp85@gmail.com",
             role = c("aut", "cre"), 
             comment = c(ORCID = "0000-0002-5147-4711")),
      person("David", "Robinson", email = "admiral.david@gmail.com",
             role = c("aut")),
      person("RStudio",
             role = "cph"))
Maintainer: Thomas Lin Pedersen <thomasp85@gmail.com>
Description: The grammar of graphics as implemented in the 'ggplot2' package has
    been successful in providing a powerful API for creating static 
    visualisation. In order to extend the API for animated graphics this package
    provides a completely new set of grammar, fully compatible with 'ggplot2' 
    for specifying transitions and animations in a flexible and extensible way.
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: TRUE
VignetteBuilder: knitr
RoxygenNote: 7.1.1
URL: https://gganimate.com, https://github.com/thomasp85/gganimate
BugReports: https://github.com/thomasp85/gganimate/issues
Depends: ggplot2 (>= 3.0.0)
Imports: stringi, tweenr (>= 1.0.1), grid, rlang, glue, progress, plyr,
        scales, grDevices, utils
Suggests: magick, svglite, knitr, rmarkdown, testthat, base64enc,
        htmltools, covr, transformr, av, gifski, ragg
Collate: 'aaa.R' 'anim_save.R' 'animate.R' 'animation_store.R'
        'ease-aes.R' 'gganim.R' 'gganimate-ggproto.R'
        'gganimate-package.r' 'ggplot2_reimpl.R' 'group_column.R'
        'layer_type.R' 'match_shapes.R' 'plot-build.R' 'post_process.R'
        'renderers.R' 'scene.R' 'shadow-.R' 'shadow-mark.R'
        'shadow-null.R' 'shadow-trail.R' 'shadow-wake.R' 'transformr.R'
        'transition-.R' 'transition-components.R' 'transition-events.R'
        'transition-filter.R' 'transition-manual.R'
        'transition-layers.R' 'transition-null.R' 'transition-states.R'
        'transition-time.R' 'transition_reveal.R' 'transmute-.R'
        'transmute-enter.R' 'transmute-exit.R' 'transmuters.R'
        'tween_before_stat.R' 'view-.R' 'view-follow.R' 'view-static.R'
        'view-step.R' 'view-step-manual.R' 'view-zoom.R'
        'view-zoom-manual.R' 'zzz.R'
NeedsCompilation: no
Packaged: 2020-10-14 21:38:13 UTC; thomas
Author: Thomas Lin Pedersen [aut, cre]
    (<https://orcid.org/0000-0002-5147-4711>),
  David Robinson [aut],
  RStudio [cph]
Repository: CRAN
Date/Publication: 2020-10-15 05:00:09 UTC

=== debian/changelog ===
r-cran-gganimate (1.0.7-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 27 Oct 2020 11:27:12 +0100

=== debian/control ===
Source: r-cran-gganimate
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-ggplot2 (>= 3.0.0),
               r-cran-stringi,
               r-cran-tweenr,
               r-cran-rlang,
               r-cran-glue,
               r-cran-progress,
               r-cran-plyr,
               r-cran-scales
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gganimate
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gganimate.git
Homepage: https://cran.r-project.org/package=gganimate
Rules-Requires-Root: no

Package: r-cran-gganimate
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R grammar of animated graphics
 The grammar of graphics as implemented in the 'ggplot2' package has
 been successful in providing a powerful API for creating static
 visualisation. In order to extend the API for animated graphics this package
 provides a completely new set of grammar, fully compatible with 'ggplot2'
 for specifying transitions and animations in a flexible and extensible way.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-transformr, r-cran-av, r-cran-magick
##r-cran-gifski
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/gganimate_([-\d.]*)\.tar\.gz

## r-cran-gganimate 1.0.8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: gganimate
 Type: Package
 Title: A Grammar of Animated Graphics
-Version: 1.0.7
+Version: 1.0.8
 Authors@R: 
     c(person("Thomas Lin", "Pedersen", email = "thomasp85@gmail.com",
              role = c("aut", "cre"), 
@@ -18,16 +18,15 @@
     for specifying transitions and animations in a flexible and extensible way.
 License: MIT + file LICENSE
 Encoding: UTF-8
-LazyData: TRUE
 VignetteBuilder: knitr
-RoxygenNote: 7.1.1
+RoxygenNote: 7.2.1
 URL: https://gganimate.com, https://github.com/thomasp85/gganimate
 BugReports: https://github.com/thomasp85/gganimate/issues
 Depends: ggplot2 (>= 3.0.0)
-Imports: stringi, tweenr (>= 1.0.1), grid, rlang, glue, progress, plyr,
+Imports: stringi, tweenr (>= 1.0.1), grid, rlang, glue, progress,
         scales, grDevices, utils
 Suggests: magick, svglite, knitr, rmarkdown, testthat, base64enc,
-        htmltools, covr, transformr, av, gifski, ragg
+        htmltools, covr, transformr, av, gifski (>= 1.4.3), ragg
 Collate: 'aaa.R' 'anim_save.R' 'animate.R' 'animation_store.R'
         'ease-aes.R' 'gganim.R' 'gganimate-ggproto.R'
         'gganimate-package.r' 'ggplot2_reimpl.R' 'group_column.R'
@@ -43,10 +42,10 @@
         'view-step.R' 'view-step-manual.R' 'view-zoom.R'
         'view-zoom-manual.R' 'zzz.R'
 NeedsCompilation: no
-Packaged: 2020-10-14 21:38:13 UTC; thomas
+Packaged: 2022-09-08 10:01:41 UTC; thomas
 Author: Thomas Lin Pedersen [aut, cre]
     (<https://orcid.org/0000-0002-5147-4711>),
   David Robinson [aut],
   RStudio [cph]
 Repository: CRAN
-Date/Publication: 2020-10-15 05:00:09 UTC
+Date/Publication: 2022-09-08 10:32:57 UTC

=== debian/changelog ===
r-cran-gganimate (1.0.8-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * lintian-overrides for source-is-missing

 -- Andreas Tille <tille@debian.org>  Wed, 14 Sep 2022 17:59:05 +0200

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,14 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-ggplot2 (>= 3.0.0),
+               r-cran-ggplot2,
                r-cran-stringi,
                r-cran-tweenr,
                r-cran-rlang,
                r-cran-glue,
                r-cran-progress,
-               r-cran-plyr,
                r-cran-scales
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gganimate
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gganimate.git
 Homepage: https://cran.r-project.org/package=gganimate

## r-cran-gganimate 1.0.9

=== DESCRIPTION ===
Type: Package
Package: gganimate
Title: A Grammar of Animated Graphics
Version: 1.0.9
Authors@R: c(
    person("Thomas Lin", "Pedersen", , "thomasp85@gmail.com", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0002-5147-4711")),
    person("David", "Robinson", , "admiral.david@gmail.com", role = "aut"),
    person("Posit, PBC", role = c("cph", "fnd"))
  )
Maintainer: Thomas Lin Pedersen <thomasp85@gmail.com>
Description: The grammar of graphics as implemented in the 'ggplot2'
    package has been successful in providing a powerful API for creating
    static visualisation. In order to extend the API for animated graphics
    this package provides a completely new set of grammar, fully
    compatible with 'ggplot2' for specifying transitions and animations in
    a flexible and extensible way.
License: MIT + file LICENSE
URL: https://gganimate.com, https://github.com/thomasp85/gganimate
BugReports: https://github.com/thomasp85/gganimate/issues
Depends: ggplot2 (>= 3.5.0)
Imports: cli, glue, grDevices, grid, lifecycle, progress, rlang,
        scales, stringi, transformr (>= 0.1.5), tweenr (>= 2.0.3),
        utils, vctrs
Suggests: av, base64enc, covr, gifski (>= 1.4.3), htmltools, knitr,
        magick, ragg, rmarkdown, sf, svglite, testthat
VignetteBuilder: knitr
Encoding: UTF-8
RoxygenNote: 7.3.1
Collate: 'aaa.R' 'anim_save.R' 'animate.R' 'animation_store.R'
        'ease-aes.R' 'gganim.R' 'gganimate-ggproto.R'
        'gganimate-package.r' 'ggplot2_reimpl.R' 'group_column.R'
        'import-standalone-obj-type.R'
        'import-standalone-types-check.R' 'layer_type.R'
        'match_shapes.R' 'plot-build.R' 'post_process.R' 'renderers.R'
        'scene.R' 'shadow-.R' 'shadow-mark.R' 'shadow-null.R'
        'shadow-trail.R' 'shadow-wake.R' 'transformr.R' 'transition-.R'
        'transition-components.R' 'transition-events.R'
        'transition-filter.R' 'transition-manual.R'
        'transition-layers.R' 'transition-null.R' 'transition-states.R'
        'transition-time.R' 'transition_reveal.R' 'transmute-.R'
        'transmute-enter.R' 'transmute-exit.R' 'transmuters.R'
        'tween_before_stat.R' 'view-.R' 'view-follow.R' 'view-static.R'
        'view-step.R' 'view-step-manual.R' 'view-zoom.R'
        'view-zoom-manual.R' 'zzz.R'
NeedsCompilation: no
Packaged: 2024-02-27 12:19:51 UTC; thomas
Author: Thomas Lin Pedersen [aut, cre]
    (<https://orcid.org/0000-0002-5147-4711>),
  David Robinson [aut],
  Posit, PBC [cph, fnd]
Repository: CRAN
Date/Publication: 2024-02-27 14:00:03 UTC

=== debian/changelog ===
r-cran-gganimate (1.0.9-1) unstable; urgency=medium

  * Team upload.
  [ Andreas Tille ]
  * Disable reprotest

  [ Charles Plessy ]
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 20 Sep 2024 08:36:59 +0900

=== debian/control ===
Source: r-cran-gganimate
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gganimate
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gganimate.git
Homepage: https://cran.r-project.org/package=gganimate
Standards-Version: 4.7.0
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-ggplot2 (>= 3.5.0),
               r-cran-cli,
               r-cran-glue,
               r-cran-lifecycle,
               r-cran-progress,
               r-cran-rlang,
               r-cran-scales,
               r-cran-stringi,
               r-cran-transformr (>= 0.1.5),
               r-cran-tweenr (>= 2.0.3),
               r-cran-vctrs
Testsuite: autopkgtest-pkg-r

Package: r-cran-gganimate
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R grammar of animated graphics
 The grammar of graphics as implemented in the 'ggplot2' package has
 been successful in providing a powerful API for creating static
 visualisation. In order to extend the API for animated graphics this package
 provides a completely new set of grammar, fully compatible with 'ggplot2'
 for specifying transitions and animations in a flexible and extensible way.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-av,
        r-cran-base64enc,
        r-cran-covr,
        r-cran-htmltools,
        r-cran-knitr,
        r-cran-magick,
        r-cran-ragg,
        r-cran-rmarkdown,
        r-cran-sf,
        r-cran-svglite,
        r-cran-testthat
Restrictions: allow-stderr

## r-cran-gganimate 1.0.11

=== debian/changelog ===
r-cran-gganimate (1.0.11-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 25 Dec 2025 09:29:58 +0900

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,13 @@
 Source: r-cran-gganimate
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gganimate
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gganimate.git
-Homepage: https://cran.r-project.org/package=gganimate
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-ggplot2 (>= 3.5.0),
+               r-cran-ggplot2 (>= 3.5.2),
                r-cran-cli,
                r-cran-glue,
                r-cran-lifecycle,
@@ -21,8 +17,14 @@
                r-cran-stringi,
                r-cran-transformr (>= 0.1.5),
                r-cran-tweenr (>= 2.0.3),
-               r-cran-vctrs
-Testsuite: autopkgtest-pkg-r
+               r-cran-vctrs,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gganimate
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gganimate.git
+Homepage: https://cran.r-project.org/package=gganimate
+Rules-Requires-Root: no
 
 Package: r-cran-gganimate
 Architecture: all
